Debian Bug report logs - #708984
ITP: bignumber.js -- Arbitrary-precision decimal and non-decimal arithmetic

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <sunweaver@debian.org>

Date: Sun, 19 May 2013 23:33:02 UTC

Owned by: Mike Gabriel <sunweaver@debian.org>

Severity: wishlist

Fixed in version bignumber.js/1.1.0+dfsg-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#708984; Package wnpp. (Sun, 19 May 2013 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <sunweaver@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 19 May 2013 23:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: bignumber.js -- Arbitrary-precision decimal and non-decimal arithmetic
Date: Mon, 20 May 2013 01:29:39 +0200
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <sunweaver@debian.org>

* Package name    : bignumber.js
  Version         : 1.0.1
  Upstream Author : Michael Mclaughlin <M8ch88l@gmail.com>
* URL             : https://github.com/MikeMcl/bignumber.js
* License         : Expat
  Programming Lang: Javascript
  Description     : Arbitrary-precision decimal and non-decimal arithmetic

 Features:
 .
    - Faster, smaller, and perhaps easier to use than Javascript versions of
      Java's BigDecimal
    - 5 KB minified and gzipped
    - Simple API but full-featured
    - Works with numbers with or without fraction digits in bases from 2 to 36
      inclusive
    - Replicates the toExponential, toFixed, toPrecision and toString methods of
      Javascript's Number type
    - Includes a toFraction and a squareRoot method
    - Stores values in an accessible decimal floating point format
    - No dependencies
    - Comprehensive documentation and test set
 .
 If an even smaller and simpler library is required see big.js. It's half the
 size but only works with decimal numbers and only has half the methods. It
 neither allows NaN or Infinity, or have the configuration options of this
 library.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 20 May 2013 08:06:29 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Sun, 01 Sep 2013 23:03:24 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <sunweaver@debian.org>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 23:03:24 GMT) Full text and rfc822 format available.

Message #12 received at 708984-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 708984-close@bugs.debian.org
Subject: Bug#708984: fixed in bignumber.js 1.1.0+dfsg-1
Date: Sun, 01 Sep 2013 23:00:07 +0000
Source: bignumber.js
Source-Version: 1.1.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
bignumber.js, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708984@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated bignumber.js package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 01 Sep 2013 23:06:04 +0200
Source: bignumber.js
Binary: node-bignumber libjs-bignumber
Architecture: source all
Version: 1.1.0+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 libjs-bignumber - Arbitrary-precision decimal and non-decimal arithmetic (client)
 node-bignumber - Arbitrary-precision decimal and non-decimal arithmetic for Node.j
Closes: 708984
Changes: 
 bignumber.js (1.1.0+dfsg-1) unstable; urgency=low
 .
   * Initial release. (Closes: #708984).
Checksums-Sha1: 
 64a3a4944911d6fad305fc31b6c37767a54875a3 2097 bignumber.js_1.1.0+dfsg-1.dsc
 2685d86fe7819ff0e8be780fafcdcb79e0e17e22 2093165 bignumber.js_1.1.0+dfsg.orig.tar.gz
 d50e91e12ce3cb00b7383939d4f81da9f13bf72b 4261 bignumber.js_1.1.0+dfsg-1.debian.tar.gz
 81e44d0fb3b9323d155430d37385ea67d44b12cf 1808850 node-bignumber_1.1.0+dfsg-1_all.deb
 48089bb75d1da2c19d21d060937ec27ff1630e74 33668 libjs-bignumber_1.1.0+dfsg-1_all.deb
Checksums-Sha256: 
 b2a6b8edb88ffb3bbd93e51ff2e7ced74903b993dccf26844d0a991b9aab3ad0 2097 bignumber.js_1.1.0+dfsg-1.dsc
 7205ca0890cb6be6580b1ee03ffdce2ffc63c33e95fa8d81418f0706339c3228 2093165 bignumber.js_1.1.0+dfsg.orig.tar.gz
 4baab9bb9134520a1aaa88232cf3cff4a6fe22146fb966d441c05bde701aa971 4261 bignumber.js_1.1.0+dfsg-1.debian.tar.gz
 4d65c6340b576887da89971d9d8e03ee2680a5e618856eea23500f3fcee5884e 1808850 node-bignumber_1.1.0+dfsg-1_all.deb
 894c9bba9518228a87b110b3f2de475ad89989c499533e63562b703022e81305 33668 libjs-bignumber_1.1.0+dfsg-1_all.deb
Files: 
 19b511d9551105bf8956e5c76016680f 2097 web extra bignumber.js_1.1.0+dfsg-1.dsc
 742cf16ce0b8a99c696aa00d50f0a38e 2093165 web extra bignumber.js_1.1.0+dfsg.orig.tar.gz
 9aa6c5b15450a8537234b8bb706b20c4 4261 web extra bignumber.js_1.1.0+dfsg-1.debian.tar.gz
 0d0fab28ccfa654436bc730d31da2a74 1808850 web extra node-bignumber_1.1.0+dfsg-1_all.deb
 85d8df7d77fa7f26f5d1e9408735c5de 33668 web extra libjs-bignumber_1.1.0+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSI60RAAoJEJr0azAldxsxs3kP/jKuTWK4qbufXvy98MQGyA76
i8JyLNyzXprb+JQqJSgwsRP7ob2/V+b3FMSHwE+oTffEGUXAqdSa2FrnQQEP2Scj
0ictMz5PJKvIfTTkeBjO5pjmlR8r0POzTGB60SzyM+EKb7FlBXgDxf82LFc82aYJ
pigtN9Ny18y/eyVb3FacG3jpnEniuRFucBkB0+TIrfva3YFZhHV9knYUn6oYk1Mo
92Moc/vebrnYn8HDEPKNB5mHQfpM5CraEQ4u9GBAE+dL8p06SfgI/E55r76oGXqH
hFVz0V0dwQqeB8xiMv7ydOP+9aanY3s/pCKdE49S9f2Rqlkwdg6+Y46k0eXcb63Y
GKEOTSPf0x4MzzAKccIIvy70G4HR6XApyz9nBSK+nAYILoyiJjEKMd/mS8+2p3xA
WTdAocBAE03eIK26l5a8WHeJbpHN72/ARLQnaAPjtovWasbx2t0S7EFUZQjZ2R4R
NSKKIeIUjbXudGegx6UrPb8yMZne+t8ZQPrRcOeWbe9z+VLLwB2rSCyOxOWcTxvQ
+rIgyLiEi1/rgLsiGClasmJzndLTUsO98ug0akAkacMU5aRWBUip6B3lSIjcGzz1
a62NvGubbns4aN+EQ3lMzbMd8zbgPXERDybNibiC14QKNtHCqIo+/aV7lsgrf/ME
A++cVIbZS0KtoF2BZ5Es
=2zoD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:38:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:17:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.